public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-tv/tvbrowser-bin/
Date: Wed,  5 Jan 2022 20:48:21 +0000 (UTC)	[thread overview]
Message-ID: <1641415690.71f65aced2a86f731ec12be8429786d2192c4860.flow@gentoo> (raw)

commit:     71f65aced2a86f731ec12be8429786d2192c4860
Author:     Harald Judt <h.judt <AT> gmx <DOT> at>
AuthorDate: Tue Dec 28 20:36:45 2021 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jan  5 20:48:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71f65ace

media-tv/tvbrowser-bin: Bump version to 4.2.4

Signed-off-by: Harald Judt <h.judt <AT> gmx.at>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 media-tv/tvbrowser-bin/Manifest                   |  1 +
 media-tv/tvbrowser-bin/tvbrowser-bin-4.2.4.ebuild | 39 +++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/media-tv/tvbrowser-bin/Manifest b/media-tv/tvbrowser-bin/Manifest
index 4d6cfcd5639f..0672a4c3b167 100644
--- a/media-tv/tvbrowser-bin/Manifest
+++ b/media-tv/tvbrowser-bin/Manifest
@@ -1 +1,2 @@
 DIST tvbrowser-bin-4.2.3.tar.gz 5579122 BLAKE2B a6499ae7fc1f75084afcafe0f0597f2df891c0db3ea3f78e9340855a68c86e72f762fedddf2cdade6112bfed3c1c92919c78ebbdc05626ffec8ece7db1c0bc8e SHA512 6157d3b0296a33b0a01a89a88f221eb2192b5f0c4e4021aff93977609d06a5bc361271f38f8c645b0edc4cf1365889b385c03c55bd5ae6bb4259a916598c3185
+DIST tvbrowser-bin-4.2.4.tar.gz 5599146 BLAKE2B be8a3f890e8933d5f7dd91a86b00196691049b24f33b0738bccb473c28b0dd7cb889e32f2418f7a0b2dd2de509ba0bc00bd6ded148941c79b5a4e811e63e9730 SHA512 c6fbbb130260e47231a3621b595de37cde2ab8c83110903c2f34481ae07dc13eee8d038ade7ab60dea6d82a2006d8277a321b286c4bf9f04ec307c1ade26baeb

diff --git a/media-tv/tvbrowser-bin/tvbrowser-bin-4.2.4.ebuild b/media-tv/tvbrowser-bin/tvbrowser-bin-4.2.4.ebuild
new file mode 100644
index 000000000000..ea86849d30d8
--- /dev/null
+++ b/media-tv/tvbrowser-bin/tvbrowser-bin-4.2.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit desktop
+
+DESCRIPTION="Themeable and easy to use TV Guide - written in Java"
+HOMEPAGE="https://www.tvbrowser.org"
+MY_PN="tvbrowser"
+SRC_URI="mirror://sourceforge/project/tvbrowser/TV-Browser%20Releases%20%28Java%2011%20and%20higher%29/${PV}/${MY_PN}_${PV}_bin.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+JAVA_SLOT=11
+RDEPEND="|| ( dev-java/openjdk:${JAVA_SLOT}
+	dev-java/openjdk-bin:${JAVA_SLOT}
+	dev-java/openjdk-jre-bin:${JAVA_SLOT} )"
+
+S="${WORKDIR}"/"${MY_PN}-${PV}"
+
+src_install() {
+	# Copy files and directories
+	insinto /opt/"${P}"
+	doins -r *
+
+	# Generate launcher
+	exeinto /opt/bin
+	sed -e "s/^P=.*\$/P=${P}/" \
+		-e "s/^JAVA_SLOT=.*\$/JAVA_SLOT=${JAVA_SLOT}/" \
+		"${FILESDIR}"/tvbrowser | \
+		newexe - tvbrowser || die
+
+	# Generate desktop entry
+	make_desktop_entry tvbrowser "TV-Browser" \
+		/opt/"${P}"/imgs/tvbrowser128.png \
+		"AudioVideo;TV;Video"
+}


             reply	other threads:[~2022-01-05 20:48 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-05 20:48 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-01-11  6:46 [gentoo-commits] repo/gentoo:master commit in: media-tv/tvbrowser-bin/ Viorel Munteanu
2023-01-11  6:46 Viorel Munteanu
2022-07-23 12:50 Joonas Niilola
2022-07-23 12:50 Joonas Niilola
2022-07-23 12:50 Joonas Niilola
2022-01-05 20:48 Florian Schmaus
2021-05-30  7:12 Joonas Niilola
2021-05-30  7:12 Joonas Niilola
2021-01-29 13:52 Joonas Niilola
2021-01-29 13:52 Joonas Niilola
2020-07-29  7:29 Joonas Niilola
2019-08-01 12:23 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1641415690.71f65aced2a86f731ec12be8429786d2192c4860.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox